#!/bin/bash
# Copyright (c) 2025 Martin Kayser (tebarius)
# Licensed under the MIT License. See LICENSE file in the project root.

set -e # Script bei Fehler abbrechen

# 1) einmalig bei Containerstart ausführen
echo "Generiere Special-WBs..."
python generate_special_wbs.py

# 2) Streamlit-App starten
echo "Starte Hauptprogramm..."
streamlit run app.py --server.port=8501 --server.address=0.0.0.0
